
Redmine - Feature #4582

Automaticly set an issue status when an issue is first assigned

2010-01-14 14:43 - Jean-Jacques Mérillon

Status: New Start date: 2010-01-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Automaticly set issue status to Assigned when the issue is New and assigned to change from EMPTY to SOMEONE

See note 5 for the new suggestion.

Related issues:

Related to Redmine - Patch #640: When choosing assignee, automatically switch... New 2008-02-12

Related to Redmine - Feature #2128: Problems when 'Assigned To' field doesn't... New 2008-11-03

Has duplicate Redmine - Feature #349: New product, assign task to someone sho... Closed

Has duplicate Redmine - Feature #7124: Assigning an Assignee should change th... Closed 2010-12-17

History

#1 - 2010-01-14 15:09 - Felix Schäfer

I'd flag this as a bad idea: say the "assigned to" field is filled according to "category" or anything else, and that assignee is head of a department in

charge of assigning it to someone in said department, automatically setting the "status" field to "assigned" would then be false information, as said

person is not in charge of the actual implementation but of assigning the ticket to someone.

#2 - 2010-01-18 05:19 - Elliot Winkler

I think status should definitely be set to Assigned automatically. I'm not sure why it hasn't been like that all along. It's kind of annoying to have to

remember to set two things when you want to assign the issue to somebody.

Re: Felix's case, I wonder if that's really all that common. Besides, if you assign it to somebody who will assign it to someone else, technically, the

issue's been looked at and assigned to someone, right? It's just that the work hasn't begun yet (but you should really have another status that you set

manually if you want to track that information). Even so, I guess there should probably be a configuration option in the backend to disable

auto-assigning (it could be enabled by default).

#3 - 2010-01-18 06:32 - Jeffrey Jones

I have to agree with the original issue and Elliot Winkler.

To me, and the other people using the software here. The "Assigned to" field translates to "If you need something done on this issue then talk to this

person"

To use Felix's example: If an issue is assigned to a manager (via the category field) who hasn't assigned it to a developer then I need to bug the

manager to do his thing so that the bug can be progressed.

To us a "New" issue is an issue that no one has looked at yet and can't be automatically assigned (via categories for example) so requires someone

to actively intervene.

#4 - 2010-01-19 00:13 - Mischa The Evil

Elliot Winkler wrote:

I think status should definitely be set to Assigned automatically. I'm not sure why it hasn't been like that all along. It's kind of annoying to have to

remember to set two things when you want to assign the issue to somebody.

[...]

 The status "Assigned" won't be available out of the box in Redmine 0.9.0. See issue #3605.

#5 - 2010-01-19 03:26 - Jeffrey Jones

Can we have a more flexible solution then (more work though).
In the issue statuses we currently have a default "start" status. Would it be possible to set a default status that should be selected when the

assigned_to field is first populated.

Have some JS on the issues page that will set the status accordingly when the assigned_to field is populated and the issue is currently on the default

start status. A very crude state-machine if you will.

#6 - 2010-02-10 01:45 - Eric Davis

- Subject changed from Automaticly set status to Assigned  to Automaticly set an issue status when an issue is first assigned

- Category changed from UI to Issues

Mischa is correct, #3605 renamed the default "Assigned" status to "In Progress".

I've reword the subject to describe setting a status when an issue is first assigned.

#7 - 2016-03-23 03:19 - Go MAEDA

- Related to Feature #349: New product, assign task to someone should set status to "Assigned" added

#8 - 2016-03-23 03:19 - Go MAEDA

- Related to deleted (Feature #349: New product, assign task to someone should set status to "Assigned")

#9 - 2016-03-23 03:19 - Go MAEDA

- Has duplicate Feature #349: New product, assign task to someone should set status to "Assigned" added

#10 - 2016-03-23 03:21 - Go MAEDA

- Has duplicate Feature #7124: Assigning an Assignee should change the issue status added

#11 - 2016-03-23 03:23 - Go MAEDA

- Related to Patch #640: When choosing assignee, automatically switch status to Assigned added

#12 - 2016-09-14 06:59 - Toshi MARUYAMA

- Related to Feature #2128: Problems when 'Assigned To' field doesn't match 'Assigned' issue tracker added
